Eclipse Remote Application Platform

## org.eclipse.swt.dnd
Class TransferData

    java.lang.Object
      org.eclipse.swt.dnd.TransferData

    public class TransferData

extends java.lang.Object

The `TransferData` class is a platform specific data structure for describing the type and the contents of data being converted by a transfer agent.

As an application writer, you do not need to know the specifics of TransferData. TransferData instances are passed to a subclass of Transfer and the Transfer object manages the platform specific issues. You can ask a Transfer subclass if it can handle this data by calling Transfer.isSupportedType(transferData).

You should only need to become familiar with the fields in this class if you are implementing a Transfer subclass and you are unable to subclass the ByteArrayTransfer class.

Since:
  1.3

Field Summary
`java.lang.Object` `data` IMPORTANT: This field is not part of the SWT public API.
`int` `result` The result field contains the result of converting a java data type into a platform specific value.
`int` `type` The type is a unique identifier of a system format or user defined format.

Constructor Summary
`TransferData()`

Method Summary
`static boolean` `sameType(TransferData data1, TransferData data2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public int type

  The type is a unique identifier of a system format or user defined format. (Warning: This field is platform dependent)

  IMPORTANT: This field is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It is not available on all platforms and should never be accessed from application code.

### data

    public java.lang.Object data

  IMPORTANT: This field is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It is not available on all platforms and should never be accessed from application code.

### result

    public int result

  The result field contains the result of converting a java data type into a platform specific value. (Warning: This field is platform dependent)

  IMPORTANT: This field is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It is not available on all platforms and should never be accessed from application code.

  The value of result is 1 if the conversion was successful. The value of result is 0 if the conversion failed.

Constructor Detail

### TransferData

    public TransferData()

Method Detail

### sameType

    public static boolean sameType(TransferData data1,
                                   TransferData data2)

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0